## devilspie2 0.01-src

=== CMakeLists.txt ===
# 
# 
# This file is part of devilspie2.
# Copyright 2011 Andreas Rönnquist
# 
# devilspie2 is free software: you can redistribute it and/or modify
# it under the terms of the GNU Lesser General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
# 
# devilspie2 is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Lesser General Public License for more details.
# 
# You should have received a copy of the GNU Lesser General Public License
# along with devilspie2.  If not, see <http://www.gnu.org/licenses/>.
# 
# 

project(devilspie2)

cmake_minimum_required(VERSION 2.4)

if(COMMAND cmake_policy)
	cmake_policy(SET CMP0003 NEW)
	cmake_policy(SET CMP0005 NEW)
endif(COMMAND cmake_policy)

set(EXECUTABLE_NAME devilspie2)

set(EXECUTABLE_OUTPUT_PATH ${CMAKE_BINARY_DIR}/../bin/)
set(LIBRARY_OUTPUT_PATH ${CMAKE_BINARY_DIR}/../lib)

list(APPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake)

message(STATUS "cmake module path:" ${CMAKE_SOURCE_DIR}/cmake)

option (DEBUG "Build Debug executable" off)

if (DEBUG)
	message(STATUS "Building Debug executable")
	set(CMAKE_BUILD_TYPE "Debug")
	add_definitions(-D_DEBUG)

	add_definitions(-Wno-write-strings)
	# add_definitions(-Wno-missing-field-initializers)
	add_definitions(-Wall)
	
	#add_definitions(-Wc++-compat)

else (DEBUG)
	message(STATUS "Building Release executable")
	add_definitions(-fomit-frame-pointer)
	
	add_definitions(-Wall)
	
endif (DEBUG)

add_definitions(-DGTK_DISABLE_DEPRECATED)
add_definitions(-DGDK_DISABLE_DEPRECATED)
add_definitions(-DGSEAL_ENABLE)


Find_Package ( GTK2 REQUIRED )
if (NOT GTK2_FOUND)
	message(FATAL_ERROR "GTK not found!")
endif (NOT GTK2_FOUND)

Find_Package ( WNCK REQUIRED )
if (NOT WNCK_FOUND)
	message(FATAL_ERROR "WNCK not found!")
endif (NOT WNCK_FOUND)

Find_Package(Lua51 REQUIRED)
if (NOT LUA51_FOUND)
	message(FATAL_ERROR "LUA not found!")
endif (NOT LUA51_FOUND)

include_directories(include	${GTK2_INCLUDE_DIRS} 
										${GTK2_GDK_INCLUDE_DIR} 
										${WNCK_INCLUDE_DIR} 
										${LUA_INCLUDE_DIR})

message(STATUS "System name:${CMAKE_SYSTEM_NAME}")

set(SOURCES
	src/devilspie2.c
	src/script.c
	src/script.h
	src/script_functions.c
	src/script_functions.h
	src/xutils.c
	src/xutils.h
)

link_libraries (
   gdk_pixbuf-2.0 
	${GTK2_GDK_LIBRARY} 
	${GTK2_GTK_LIBRARY} 
	gthread-2.0 
	gobject-2.0 
	X11 
	glib-2.0 
	${WNCK_LIBRARY}
	${LUA_LIBRARIES}
)

add_executable(${EXECUTABLE_NAME} ${SOURCES})

#
# Installation stuff:
#

install(FILES devilspie2.1 DESTINATION ${CMAKE_INSTALL_PREFIX}/share/man/man1)

install_targets(/bin ${EXECUTABLE_NAME})

## devilspie2 0.02-src

=== CMakeLists.txt ===
--- 
+++ 
@@ -95,10 +95,9 @@
 )
 
 link_libraries (
-   gdk_pixbuf-2.0 
 	${GTK2_GDK_LIBRARY} 
-	${GTK2_GTK_LIBRARY} 
-	gthread-2.0 
+	#${GTK2_GTK_LIBRARY} 
+	#gthread-2.0 
 	gobject-2.0 
 	X11 
 	glib-2.0 
@@ -113,5 +112,6 @@
 #
 
 install(FILES devilspie2.1 DESTINATION ${CMAKE_INSTALL_PREFIX}/share/man/man1)
+install(FILES README DESTINATION ${CMAKE_INSTALL_PREFIX}/share/doc/devilspie2/)
 
 install_targets(/bin ${EXECUTABLE_NAME})

## devilspie2 0.03-src

=== Makefile ===
CC=gcc
SRC=src
OBJ=obj
BIN=bin

ifdef DEBUG
	STD_CFLAGS=-c -Wall -g3 -ggdb
else
	STD_CFLAGS=-c -Wall
endif

PROG=$(BIN)/devilspie2

ifndef DESTDIR
DESTDIR=/usr/local
endif

ifdef CHECK_DEPRECATED
DEPRECATED=-DGDK_PIXBUF_DISABLE_DEPRECATED -DGDK_DISABLE_DEPRECATED -DGTK_DISABLE_DEPRECATED
endif

LIB_CFLAGS=`pkg-config --cflags gtk+-2.0 lua5.1 libwnck-1.0`
STD_LDFLAGS= `pkg-config --libs gtk+-2.0 lua5.1 libwnck-1.0`

CFLAGS=$(STD_CFLAGS) $(LIB_CFLAGS) $(DEPRECATED)
LDFLAGS=$(STD_LDFLAGS)

all: devilspie2

$(OBJ)/devilspie2.o: $(SRC)/devilspie2.c $(SRC)/version.h  $(SRC)/script.h $(SRC)/script_functions.h
	$(CC) $(CFLAGS) $(SRC)/devilspie2.c -o $(OBJ)/devilspie2.o

$(OBJ)/xutils.o: $(SRC)/xutils.c $(SRC)/xutils.h
	$(CC) $(CFLAGS) $(SRC)/xutils.c -o $(OBJ)/xutils.o

$(OBJ)/script.o: $(SRC)/script.c $(SRC)/script.h $(SRC)/script_functions.h
	$(CC) $(CFLAGS) $(SRC)/script.c -o $(OBJ)/script.o

$(OBJ)/script_functions.o: $(SRC)/script_functions.c $(SRC)/script.h $(SRC)/xutils.h
	$(CC) $(CFLAGS) $(SRC)/script_functions.c -o $(OBJ)/script_functions.o

devilspie2: $(OBJ)/devilspie2.o $(OBJ)/xutils.o $(OBJ)/script.o $(OBJ)/script_functions.o
	$(CC) $(LDFLAGS) $(OBJ)/devilspie2.o $(OBJ)/script.o $(OBJ)/script_functions.o $(OBJ)/xutils.o -o $(BIN)/devilspie2

clean:
	rm -rf $(OBJ)/*.o $(PROG)

install:
	install -m 755 $(PROG) $(DESTDIR)/bin

uninstall:
	rm -f $(DESTDIR)/$(PROG)

## devilspie2 0.04-src

=== Makefile ===
--- 
+++ 
@@ -9,7 +9,7 @@
 	STD_CFLAGS=-c -Wall
 endif
 
-PROG=$(BIN)/devilspie2
+PROG=bin/devilspie2
 
 ifndef DESTDIR
 DESTDIR=/usr/local
@@ -40,7 +40,7 @@
 	$(CC) $(CFLAGS) $(SRC)/script_functions.c -o $(OBJ)/script_functions.o
 
 devilspie2: $(OBJ)/devilspie2.o $(OBJ)/xutils.o $(OBJ)/script.o $(OBJ)/script_functions.o
-	$(CC) $(LDFLAGS) $(OBJ)/devilspie2.o $(OBJ)/script.o $(OBJ)/script_functions.o $(OBJ)/xutils.o -o $(BIN)/devilspie2
+	$(CC) $(LDFLAGS) $(OBJ)/devilspie2.o $(OBJ)/script.o $(OBJ)/script_functions.o $(OBJ)/xutils.o -o $(PROG)
 
 clean:
 	rm -rf $(OBJ)/*.o $(PROG)

## devilspie2 0.05-src

=== Makefile ===
CC=gcc
SRC=src
OBJ=obj
BIN=bin

ifdef DEBUG
	STD_CFLAGS=-c -Wall -g3 -ggdb
else
	STD_CFLAGS=-c -Wall
endif

PROG=bin/devilspie2

ifndef DESTDIR
DESTDIR=/usr/local
endif

ifdef CHECK_DEPRECATED
DEPRECATED=-DGDK_PIXBUF_DISABLE_DEPRECATED -DGDK_DISABLE_DEPRECATED -DGTK_DISABLE_DEPRECATED
endif

LIB_CFLAGS=`pkg-config --cflags gtk+-2.0 lua5.1 libwnck-1.0`
STD_LDFLAGS= `pkg-config --libs gtk+-2.0 lua5.1 libwnck-1.0`

LOCAL_CFLAGS=$(STD_CFLAGS) $(LIB_CFLAGS) $(DEPRECATED)
LOCAL_LDFLAGS=$(STD_LDFLAGS)

all: devilspie2

$(OBJ)/devilspie2.o: $(SRC)/devilspie2.c $(SRC)/version.h  $(SRC)/script.h $(SRC)/script_functions.h
	$(CC) $(LOCAL_CFLAGS) $(SRC)/devilspie2.c -o $(OBJ)/devilspie2.o

$(OBJ)/xutils.o: $(SRC)/xutils.c $(SRC)/xutils.h
	$(CC) $(LOCAL_CFLAGS) $(SRC)/xutils.c -o $(OBJ)/xutils.o

$(OBJ)/script.o: $(SRC)/script.c $(SRC)/script.h $(SRC)/script_functions.h
	$(CC) $(LOCAL_CFLAGS) $(SRC)/script.c -o $(OBJ)/script.o

$(OBJ)/script_functions.o: $(SRC)/script_functions.c $(SRC)/script.h $(SRC)/xutils.h
	$(CC) $(LOCAL_CFLAGS) $(SRC)/script_functions.c -o $(OBJ)/script_functions.o

devilspie2: $(OBJ)/devilspie2.o $(OBJ)/xutils.o $(OBJ)/script.o $(OBJ)/script_functions.o
	$(CC) $(LOCAL_LDFLAGS) $(OBJ)/devilspie2.o $(OBJ)/script.o $(OBJ)/script_functions.o $(OBJ)/xutils.o -o $(PROG)

clean:
	rm -rf $(OBJ)/*.o $(PROG)

install:
	install -m 755 $(PROG) $(DESTDIR)/bin

uninstall:
	rm -f $(DESTDIR)/$(PROG)

## devilspie2 0.07-src

=== Makefile ===
--- 
+++ 
@@ -46,6 +46,7 @@
 	rm -rf $(OBJ)/*.o $(PROG)
 
 install:
+	install -d $(DESTDIR)/bin
 	install -m 755 $(PROG) $(DESTDIR)/bin
 
 uninstall:

## devilspie2 0.09-src

=== Makefile ===
--- 
+++ 
@@ -15,19 +15,26 @@
 DESTDIR=/usr/local
 endif
 
-ifdef CHECK_DEPRECATED
-DEPRECATED=-DGDK_PIXBUF_DISABLE_DEPRECATED -DGDK_DISABLE_DEPRECATED -DGTK_DISABLE_DEPRECATED
-endif
-
 LIB_CFLAGS=`pkg-config --cflags gtk+-2.0 lua5.1 libwnck-1.0`
 STD_LDFLAGS= `pkg-config --libs gtk+-2.0 lua5.1 libwnck-1.0`
 
 LOCAL_CFLAGS=$(STD_CFLAGS) $(LIB_CFLAGS) $(DEPRECATED)
 LOCAL_LDFLAGS=$(STD_LDFLAGS)
 
+ifdef CHECK_GTK3
+	LOCAL_CFLAGS+=-DGTK_DISABLE_SINGLE_INCLUDES
+	LOCAL_CFLAGS+=-DGSEAL_ENABLE
+	
+	CHECK_DEPRECATED=1
+endif
+
+ifdef CHECK_DEPRECATED
+	LOCAL_CFLAGS+=-DGDK_PIXBUF_DISABLE_DEPRECATED -DGDK_DISABLE_DEPRECATED -DGTK_DISABLE_DEPRECATED
+endif 
+
 all: devilspie2
 
-$(OBJ)/devilspie2.o: $(SRC)/devilspie2.c $(SRC)/version.h  $(SRC)/script.h $(SRC)/script_functions.h
+$(OBJ)/devilspie2.o: $(SRC)/devilspie2.c $(SRC)/version.h $(SRC)/script.h $(SRC)/script_functions.h
 	$(CC) $(LOCAL_CFLAGS) $(SRC)/devilspie2.c -o $(OBJ)/devilspie2.o
 
 $(OBJ)/xutils.o: $(SRC)/xutils.c $(SRC)/xutils.h
@@ -40,7 +47,7 @@
 	$(CC) $(LOCAL_CFLAGS) $(SRC)/script_functions.c -o $(OBJ)/script_functions.o
 
 devilspie2: $(OBJ)/devilspie2.o $(OBJ)/xutils.o $(OBJ)/script.o $(OBJ)/script_functions.o
-	$(CC) $(LOCAL_LDFLAGS) $(OBJ)/devilspie2.o $(OBJ)/script.o $(OBJ)/script_functions.o $(OBJ)/xutils.o -o $(PROG)
+	$(CC) $(OBJ)/devilspie2.o $(OBJ)/script.o $(OBJ)/script_functions.o $(OBJ)/xutils.o $(LOCAL_LDFLAGS) -o $(PROG)
 
 clean:
 	rm -rf $(OBJ)/*.o $(PROG)

## devilspie2 0.10-src

=== Makefile ===
--- 
+++ 
@@ -15,8 +15,18 @@
 DESTDIR=/usr/local
 endif
 
-LIB_CFLAGS=`pkg-config --cflags gtk+-2.0 lua5.1 libwnck-1.0`
-STD_LDFLAGS= `pkg-config --libs gtk+-2.0 lua5.1 libwnck-1.0`
+ifdef GTK2
+	PKG_GTK=gtk+-2.0
+	PKG_WNCK=libwnck-1.0
+	
+	CHECK_GTK3=1
+else
+	PKG_GTK=gtk+-3.0
+	PKG_WNCK=libwnck-3.0
+endif 
+
+LIB_CFLAGS=`pkg-config --cflags $(PKG_GTK) $(PKG_WNCK) lua5.1`
+STD_LDFLAGS= `pkg-config --libs $(PKG_GTK) $(PKG_WNCK) lua5.1`
 
 LOCAL_CFLAGS=$(STD_CFLAGS) $(LIB_CFLAGS) $(DEPRECATED)
 LOCAL_LDFLAGS=$(STD_LDFLAGS)
@@ -32,7 +42,7 @@
 	LOCAL_CFLAGS+=-DGDK_PIXBUF_DISABLE_DEPRECATED -DGDK_DISABLE_DEPRECATED -DGTK_DISABLE_DEPRECATED
 endif 
 
-all: devilspie2
+all: $(BIN)/devilspie2
 
 $(OBJ)/devilspie2.o: $(SRC)/devilspie2.c $(SRC)/version.h $(SRC)/script.h $(SRC)/script_functions.h
 	$(CC) $(LOCAL_CFLAGS) $(SRC)/devilspie2.c -o $(OBJ)/devilspie2.o
@@ -46,7 +56,7 @@
 $(OBJ)/script_functions.o: $(SRC)/script_functions.c $(SRC)/script.h $(SRC)/xutils.h
 	$(CC) $(LOCAL_CFLAGS) $(SRC)/script_functions.c -o $(OBJ)/script_functions.o
 
-devilspie2: $(OBJ)/devilspie2.o $(OBJ)/xutils.o $(OBJ)/script.o $(OBJ)/script_functions.o
+$(BIN)/devilspie2: $(OBJ)/devilspie2.o $(OBJ)/xutils.o $(OBJ)/script.o $(OBJ)/script_functions.o
 	$(CC) $(OBJ)/devilspie2.o $(OBJ)/script.o $(OBJ)/script_functions.o $(OBJ)/xutils.o $(LOCAL_LDFLAGS) -o $(PROG)
 
 clean:

## devilspie2 0.11-src

=== Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 BIN=bin
 
 ifdef DEBUG
-	STD_CFLAGS=-c -Wall -g3 -ggdb
+	STD_CFLAGS=-c -Wall -g3 -ggdb -D_DEBUG
 else
 	STD_CFLAGS=-c -Wall
 endif
@@ -28,8 +28,8 @@
 LIB_CFLAGS=`pkg-config --cflags $(PKG_GTK) $(PKG_WNCK) lua5.1`
 STD_LDFLAGS= `pkg-config --libs $(PKG_GTK) $(PKG_WNCK) lua5.1`
 
-LOCAL_CFLAGS=$(STD_CFLAGS) $(LIB_CFLAGS) $(DEPRECATED)
-LOCAL_LDFLAGS=$(STD_LDFLAGS)
+LOCAL_CFLAGS=$(STD_CFLAGS) $(LIB_CFLAGS) $(DEPRECATED) $(CFLAGS)
+LOCAL_LDFLAGS=$(STD_LDFLAGS) $(LDFLAGS)
 
 ifdef CHECK_GTK3
 	LOCAL_CFLAGS+=-DGTK_DISABLE_SINGLE_INCLUDES

## devilspie2 0.12-src

=== Makefile ===
CC=gcc
SRC=src
OBJ=obj
BIN=bin

ifdef DEBUG
	STD_CFLAGS=-c -Wall -g3 -ggdb -D_DEBUG
else
	STD_CFLAGS=-c -Wall
endif

PROG=$(BIN)/devilspie2
DEPEND=Makefile.dep

OBJECTS=$(OBJ)/devilspie2.o $(OBJ)/xutils.o $(OBJ)/script.o $(OBJ)/script_functions.o

ifndef prefix
	ifdef INSTALL_PREFIX
		prefix=$(INSTALL_PREFIX)
	else
		prefix=/usr/local
	endif
endif

ifdef GTK2
	PKG_GTK=gtk+-2.0
	PKG_WNCK=libwnck-1.0

	CHECK_GTK3=1
else
	PKG_GTK=gtk+-3.0
	PKG_WNCK=libwnck-3.0
endif 

LIB_CFLAGS=`pkg-config --cflags $(PKG_GTK) $(PKG_WNCK) lua5.1`
STD_LDFLAGS= `pkg-config --libs $(PKG_GTK) $(PKG_WNCK) lua5.1`

LOCAL_CFLAGS=$(STD_CFLAGS) $(DEPRECATED) $(CFLAGS) $(LIB_CFLAGS)
LOCAL_LDFLAGS=$(LDFLAGS) $(STD_LDFLAGS)

ifdef CHECK_GTK3
	LOCAL_CFLAGS+=-DGTK_DISABLE_SINGLE_INCLUDES
	LOCAL_CFLAGS+=-DGSEAL_ENABLE

	CHECK_DEPRECATED=1
endif

ifdef CHECK_DEPRECATED
	LOCAL_CFLAGS+=-DGDK_PIXBUF_DISABLE_DEPRECATED -DGDK_DISABLE_DEPRECATED -DGTK_DISABLE_DEPRECATED
endif 

all: $(BIN)/devilspie2

$(OBJ)/%.o: $(SRC)/%.c
	$(CC) $(LOCAL_CFLAGS) -c $< -o $@

$(BIN)/devilspie2: $(OBJECTS)
	$(CC) $(OBJECTS) -o $(PROG) $(LOCAL_LDFLAGS) 

clean:
	rm -rf $(OBJECTS) $(PROG) $(DEPEND)

install:
	install -d $(DESTDIR)$(prefix)/bin
	install -m 755 $(PROG) $(DESTDIR)$(prefix)/bin

uninstall:
	rm -f $(DESTDIR)$(prefix)/$(PROG)

$(DEPEND):
	$(CC) -MM $(SRC)/*.c | sed -e "s/\([A-Za-z0-9+-0._&+-]*:\)/\$(OBJ)\/\1/g" > Makefile.dep

-include $(DEPEND)

## devilspie2 0.13-src

=== Makefile ===
--- 
+++ 
@@ -33,7 +33,8 @@
 endif 
 
 LIB_CFLAGS=`pkg-config --cflags $(PKG_GTK) $(PKG_WNCK) lua5.1`
-STD_LDFLAGS= `pkg-config --libs $(PKG_GTK) $(PKG_WNCK) lua5.1`
+STD_LDFLAGS=
+LIBS=`pkg-config --libs $(PKG_GTK) $(PKG_WNCK) lua5.1`
 
 LOCAL_CFLAGS=$(STD_CFLAGS) $(DEPRECATED) $(CFLAGS) $(LIB_CFLAGS)
 LOCAL_LDFLAGS=$(LDFLAGS) $(STD_LDFLAGS)
@@ -55,7 +56,7 @@
 	$(CC) $(LOCAL_CFLAGS) -c $< -o $@
 
 $(BIN)/devilspie2: $(OBJECTS)
-	$(CC) $(OBJECTS) -o $(PROG) $(LOCAL_LDFLAGS) 
+	$(CC) $(LOCAL_LDFLAGS) $(OBJECTS) -o $(PROG) $(LIBS)
 
 clean:
 	rm -rf $(OBJECTS) $(PROG) $(DEPEND)
@@ -68,6 +69,6 @@
 	rm -f $(DESTDIR)$(prefix)/$(PROG)
 
 $(DEPEND):
-	$(CC) -MM $(SRC)/*.c | sed -e "s/\([A-Za-z0-9+-0._&+-]*:\)/\$(OBJ)\/\1/g" > Makefile.dep
+	$(CC) -MM $(SRC)/*.c | sed -e "s/\([A-Za-z0-9+-0._&+-]*:\)/\$(OBJ)\/\1/g" > $(DEPEND)
 
 -include $(DEPEND)

## devilspie2 0.15

=== Makefile ===
--- 
+++ 
@@ -50,6 +50,7 @@
 	LOCAL_CFLAGS+=-DGDK_PIXBUF_DISABLE_DEPRECATED -DGDK_DISABLE_DEPRECATED -DGTK_DISABLE_DEPRECATED
 endif 
 
+.PHONY: all
 all: $(BIN)/devilspie2
 
 $(OBJ)/%.o: $(SRC)/%.c
@@ -58,6 +59,7 @@
 $(BIN)/devilspie2: $(OBJECTS)
 	$(CC) $(LOCAL_LDFLAGS) $(OBJECTS) -o $(PROG) $(LIBS)
 
+.PHONY: clean
 clean:
 	rm -rf $(OBJECTS) $(PROG) $(DEPEND)
 
@@ -65,6 +67,7 @@
 	install -d $(DESTDIR)$(prefix)/bin
 	install -m 755 $(PROG) $(DESTDIR)$(prefix)/bin
 
+.PHONY: uninstall
 uninstall:
 	rm -f $(DESTDIR)$(prefix)/$(PROG)

=== debian/changelog ===
devilspie2 (0.15-1) unstable; urgency=low

  * New upstream release

 -- Andreas Rönnquist <gusnan@gusnan.se>  Sat, 19 Nov 2011 13:44:42 +0100

devilspie2 (0.14-1) unstable; urgency=low

  * Initial release (Closes: #644416)

 -- Andreas Rönnquist <gusnan@gusnan.se>  Mon, 14 Nov 2011 02:19:32 +0200

=== debian/control ===
Source: devilspie2
Section: gnome
Priority: optional
Maintainer: Andreas Rönnquist <gusnan@gusnan.se>
Build-Depends: debhelper (>= 8.0.0), cdbs, pkg-config, libwnck-3-dev, libgtk-3-dev, libglib2.0-dev, liblua5.1-0-dev
Standards-Version: 3.9.2
Homepage: http://www.gusnan.se/devilspie2

Package: devilspie2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: LUA-based window matching utility 
 Devilspie2 is a window matching utility, allowing the user to perform
 scripted actions on windows as they are created. For example you can
 script a terminal program to always be positioned at a specific screen
 position, or position a window on a specific workspace.
 .
 It is a continuation of Ross Burtons project Devilspie, with the most
 significant change that the symbolic expressions of that project are
 replaced with a LUA interpreter.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/cdbs/1/class/makefile.mk
include /usr/share/cdbs/1/rules/debhelper.mk

LDFLAGS += -Wl,--as-needed

DEB_MAKE_CLEAN_TARGET	= clean
DEB_MAKE_BUILD_TARGET	= all
DEB_MAKE_INSTALL_TARGET	= install INSTALL_PREFIX=$(CURDIR)/debian/devilspie2/usr
# no check for this software
DEB_MAKE_CHECK_TARGET	=

## devilspie2 0.16-src

=== Makefile ===
--- 
+++ 
@@ -9,18 +9,23 @@
 	STD_CFLAGS=-c -Wall
 endif
 
-PROG=$(BIN)/devilspie2
 DEPEND=Makefile.dep
 
 OBJECTS=$(OBJ)/devilspie2.o $(OBJ)/xutils.o $(OBJ)/script.o $(OBJ)/script_functions.o
 
-ifndef prefix
+ifndef PREFIX
 	ifdef INSTALL_PREFIX
-		prefix=$(INSTALL_PREFIX)
+		PREFIX=$(INSTALL_PREFIX)
 	else
-		prefix=/usr/local
+		PREFIX=/usr/local
 	endif
 endif
+
+NAME = devilspie2
+PROG=$(BIN)/$(NAME)
+VERSION = $(shell cat ./VERSION)
+DATADIR = ${DESTDIR}${PREFIX}/share
+LOCALEDIR = ${DATADIR}/locale
 
 ifdef GTK2
 	PKG_GTK=gtk+-2.0
@@ -48,28 +53,34 @@
 
 ifdef CHECK_DEPRECATED
 	LOCAL_CFLAGS+=-DGDK_PIXBUF_DISABLE_DEPRECATED -DGDK_DISABLE_DEPRECATED -DGTK_DISABLE_DEPRECATED
-endif 
+endif
+
+LOCAL_CFLAGS+=-DLOCALEDIR=\"$(LOCALEDIR)\" -DPACKAGE=\"$(NAME)\" -DDEVILSPIE2_VERSION=\"$(VERSION)\"
 
 .PHONY: all
 all: $(BIN)/devilspie2
+	${MAKE} -C po build
 
 $(OBJ)/%.o: $(SRC)/%.c
 	$(CC) $(LOCAL_CFLAGS) -c $< -o $@
 
-$(BIN)/devilspie2: $(OBJECTS)
+$(BIN)/$(NAME): $(OBJECTS)
 	$(CC) $(LOCAL_LDFLAGS) $(OBJECTS) -o $(PROG) $(LIBS)
 
 .PHONY: clean
 clean:
 	rm -rf $(OBJECTS) $(PROG) $(DEPEND)
+	${MAKE} -C po clean
 
 install:
-	install -d $(DESTDIR)$(prefix)/bin
-	install -m 755 $(PROG) $(DESTDIR)$(prefix)/bin
+	install -d $(DESTDIR)$(PREFIX)/bin
+	install -m 755 $(PROG) $(DESTDIR)$(PREFIX)/bin
+	${MAKE} -C po install
 
 .PHONY: uninstall
 uninstall:
-	rm -f $(DESTDIR)$(prefix)/$(PROG)
+	rm -f $(DESTDIR)$(PREFIX)/$(PROG)
+	${MAKE} -C po uninstall
 
 $(DEPEND):
 	$(CC) -MM $(SRC)/*.c | sed -e "s/\([A-Za-z0-9+-0._&+-]*:\)/\$(OBJ)\/\1/g" > $(DEPEND)

## devilspie2 0.17

=== Makefile ===
--- 
+++ 
@@ -6,7 +6,7 @@
 ifdef DEBUG
 	STD_CFLAGS=-c -Wall -g3 -ggdb -D_DEBUG
 else
-	STD_CFLAGS=-c -Wall
+	STD_CFLAGS=-c -Wall -Wformat -Wno-format-extra-args -Wformat-security -Wformat-nonliteral -Wformat=2
 endif
 
 DEPEND=Makefile.dep

=== po/Makefile ===
#
# Devilspie2 po makefile
# $Id$
#


ifndef PREFIX
	ifdef INSTALL_PREFIX
		PREFIX=$(INSTALL_PREFIX)
	else
		PREFIX=/usr/local
	endif
endif

NAME = devilspie2
VERSION = $(shell cat ../VERSION)
DATADIR = ${DESTDIR}${PREFIX}/share
LOCALEDIR = ${DATADIR}/locale

SOURCES = devilspie2.c script.c script_functions.c xutils.c

XG_ARGS = --keyword=_ --keyword=N_ -w 80 --package-name=${NAME} --package-version=${VERSION} --msgid-bugs-address=gusnan@gusnan.se
LANGUAGES = sv_SE

all: build

${NAME}.pot:
	xgettext ${XG_ARGS} --directory=../src/ ${SOURCES} -d ${NAME} -o ./${NAME}.pot

update-pot: ${NAME}.pot

%.pox: %.po
	msgmerge -o $@ --previous $< ${NAME}.pot 

build:
	for po in ${LANGUAGES}; \
	do msgfmt -v --statistics -c -o t-$${po} $${po}.po && mv -f t-$${po} $${po}.mo; \
	done
	

install: all install-dirs
	for po in ${LANGUAGES}; \
	do install -m 0644 $${po}.mo ${LOCALEDIR}/$${po}/LC_MESSAGES/${NAME}.mo; \
	done

install-dirs:
	for po in ${LANGUAGES}; \
	do install -d ${LOCALEDIR}/$${po}/LC_MESSAGES; \
	done

uninstall:
	for po in ${LANGUAGES}; \
	do rm -f  ${LOCALEDIR}/$${po}/LC_MESSAGES/${NAME}.mo; \
	done

clean-build:
	rm -f *.mo

clean-pox:
	rm -f *.pox

clean: clean-build
	rm -f *~

.PHONY: all build install install-dirs uninstall clean clean-pox clean-build update-pot

=== debian/changelog ===
devilspie2 (0.17-1) unstable; urgency=low

  * New upstream release

 -- Andreas Rönnquist <gusnan@gusnan.se>  Wed, 11 Jan 2012 16:10:21 +0100

## devilspie2 0.18-src

=== Makefile ===
--- 
+++ 
@@ -59,7 +59,7 @@
 
 .PHONY: all
 all: $(BIN)/devilspie2
-	${MAKE} -C po build
+	${MAKE} -C po all
 
 $(OBJ)/%.o: $(SRC)/%.c
 	$(CC) $(LOCAL_CFLAGS) -c $< -o $@

=== po/Makefile ===
--- 
+++ 
@@ -20,7 +20,10 @@
 SOURCES = devilspie2.c script.c script_functions.c xutils.c
 
 XG_ARGS = --keyword=_ --keyword=N_ -w 80 --package-name=${NAME} --package-version=${VERSION} --msgid-bugs-address=gusnan@gusnan.se
-LANGUAGES = sv_SE
+LANGUAGES = sv fr
+
+LANGUAGES_MO = $(foreach currlang,$(LANGUAGES),$(currlang).mo)
+LANGUAGES_PO = $(foreach currlang,$(LANGUAGES),$(currlang).po)
 
 all: build
 
@@ -32,7 +35,9 @@
 %.pox: %.po
 	msgmerge -o $@ --previous $< ${NAME}.pot 
 
-build:
+build: $(LANGUAGES_MO)
+
+$(LANGUAGES_MO): $(LANGUAGES_PO)
 	for po in ${LANGUAGES}; \
 	do msgfmt -v --statistics -c -o t-$${po} $${po}.po && mv -f t-$${po} $${po}.mo; \
 	done

## devilspie2 0.19-src

=== Makefile ===
--- 
+++ 
@@ -44,6 +44,8 @@
 LOCAL_CFLAGS=$(STD_CFLAGS) $(DEPRECATED) $(CFLAGS) $(LIB_CFLAGS)
 LOCAL_LDFLAGS=$(LDFLAGS) $(STD_LDFLAGS)
 
+LOCAL_CPPFLAGS=$(CPPFLAGS)
+
 ifdef CHECK_GTK3
 	LOCAL_CFLAGS+=-DGTK_DISABLE_SINGLE_INCLUDES
 	LOCAL_CFLAGS+=-DGSEAL_ENABLE
@@ -62,7 +64,7 @@
 	${MAKE} -C po all
 
 $(OBJ)/%.o: $(SRC)/%.c
-	$(CC) $(LOCAL_CFLAGS) -c $< -o $@
+	$(CC) $(LOCAL_CFLAGS) $(LOCAL_CPPFLAGS) -c $< -o $@
 
 $(BIN)/$(NAME): $(OBJECTS)
 	$(CC) $(LOCAL_LDFLAGS) $(OBJECTS) -o $(PROG) $(LIBS)

=== po/Makefile ===
--- 
+++ 
@@ -41,7 +41,7 @@
 	for po in ${LANGUAGES}; \
 	do msgfmt -v --statistics -c -o t-$${po} $${po}.po && mv -f t-$${po} $${po}.mo; \
 	done
-	
+
 
 install: all install-dirs
 	for po in ${LANGUAGES}; \

## devilspie2 0.20

=== Makefile ===
--- 
+++ 
@@ -35,11 +35,11 @@
 else
 	PKG_GTK=gtk+-3.0
 	PKG_WNCK=libwnck-3.0
-endif 
+endif
 
 LIB_CFLAGS=`pkg-config --cflags $(PKG_GTK) $(PKG_WNCK) lua5.1`
 STD_LDFLAGS=
-LIBS=`pkg-config --libs $(PKG_GTK) $(PKG_WNCK) lua5.1`
+LIBS=-lX11 `pkg-config --libs $(PKG_GTK) $(PKG_WNCK) lua5.1`
 
 LOCAL_CFLAGS=$(STD_CFLAGS) $(DEPRECATED) $(CFLAGS) $(LIB_CFLAGS)
 LOCAL_LDFLAGS=$(LDFLAGS) $(STD_LDFLAGS)

=== po/Makefile ===
--- 
+++ 
@@ -20,7 +20,7 @@
 SOURCES = devilspie2.c script.c script_functions.c xutils.c
 
 XG_ARGS = --keyword=_ --keyword=N_ -w 80 --package-name=${NAME} --package-version=${VERSION} --msgid-bugs-address=gusnan@gusnan.se
-LANGUAGES = sv fr
+LANGUAGES = sv fr pt_BR
 
 LANGUAGES_MO = $(foreach currlang,$(LANGUAGES),$(currlang).mo)
 LANGUAGES_PO = $(foreach currlang,$(LANGUAGES),$(currlang).po)
@@ -33,7 +33,7 @@
 update-pot: ${NAME}.pot
 
 %.pox: %.po
-	msgmerge -o $@ --previous $< ${NAME}.pot 
+	msgmerge -o $@ --previous $< ${NAME}.pot
 
 build: $(LANGUAGES_MO)

=== debian/changelog ===
devilspie2 (0.20-1) unstable; urgency=low

  * [46eb2ec] Imported Upstream version 0.20

 -- Andreas Rönnquist <gusnan@gusnan.se>  Sat, 23 Jun 2012 20:42:44 +0200

devilspie2 (0.19-2) unstable; urgency=low

  * [c137f99] Add INSTALL_PREFIX=/usr to DEB_MAKE_BUILD_TARGET

 -- Andreas Rönnquist <gusnan@gusnan.se>  Tue, 19 Jun 2012 20:32:36 +0200

devilspie2 (0.19-1) unstable; urgency=low

  * [0cd1a60] Imported Upstream version 0.19

 -- Andreas Rönnquist <gusnan@gusnan.se>  Mon, 23 Apr 2012 16:01:24 +0200

devilspie2 (0.18-1) unstable; urgency=low

  * [aac593d] Add Vcs-* fields
  * [07f4c1d] Update copyright to version 1.0
  * [849fd50] Update standards version to 3.9.3
  * [8e7159e] Imported Upstream version 0.18

 -- Andreas Rönnquist <gusnan@gusnan.se>  Tue, 17 Apr 2012 20:04:08 +0200

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,10 @@
 Priority: optional
 Maintainer: Andreas Rönnquist <gusnan@gusnan.se>
 Build-Depends: debhelper (>= 8.0.0), cdbs, pkg-config, libwnck-3-dev, libgtk-3-dev, libglib2.0-dev, liblua5.1-0-dev
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://www.gusnan.se/devilspie2
+Vcs-Git: git://anonscm.debian.org/collab-maint/devilspie2.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/devilspie2.git
 
 Package: devilspie2
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 LDFLAGS += -Wl,--as-needed
 
 DEB_MAKE_CLEAN_TARGET	= clean
-DEB_MAKE_BUILD_TARGET	= all
+DEB_MAKE_BUILD_TARGET	= all INSTALL_PREFIX=/usr
 DEB_MAKE_INSTALL_TARGET	= install INSTALL_PREFIX=$(CURDIR)/debian/devilspie2/usr
 # no check for this software
 DEB_MAKE_CHECK_TARGET	=

## devilspie2 0.22-src

=== po/Makefile ===
--- 
+++ 
@@ -20,7 +20,7 @@
 SOURCES = devilspie2.c script.c script_functions.c xutils.c
 
 XG_ARGS = --keyword=_ --keyword=N_ -w 80 --package-name=${NAME} --package-version=${VERSION} --msgid-bugs-address=gusnan@gusnan.se
-LANGUAGES = sv fr pt_BR
+LANGUAGES = sv fr pt_BR nl
 
 LANGUAGES_MO = $(foreach currlang,$(LANGUAGES),$(currlang).mo)
 LANGUAGES_PO = $(foreach currlang,$(LANGUAGES),$(currlang).po)

## devilspie2 0.24-src

=== po/Makefile ===
--- 
+++ 
@@ -20,7 +20,7 @@
 SOURCES = devilspie2.c script.c script_functions.c xutils.c
 
 XG_ARGS = --keyword=_ --keyword=N_ -w 80 --package-name=${NAME} --package-version=${VERSION} --msgid-bugs-address=gusnan@gusnan.se
-LANGUAGES = sv fr pt_BR nl
+LANGUAGES = sv fr pt_BR nl ru
 
 LANGUAGES_MO = $(foreach currlang,$(LANGUAGES),$(currlang).mo)
 LANGUAGES_PO = $(foreach currlang,$(LANGUAGES),$(currlang).po)

## devilspie2 0.25-src

=== Makefile ===
--- 
+++ 
@@ -11,7 +11,7 @@
 
 DEPEND=Makefile.dep
 
-OBJECTS=$(OBJ)/devilspie2.o $(OBJ)/xutils.o $(OBJ)/script.o $(OBJ)/script_functions.o
+OBJECTS=$(OBJ)/devilspie2.o $(OBJ)/xutils.o $(OBJ)/script.o $(OBJ)/script_functions.o $(OBJ)/error_strings.o
 
 ifndef PREFIX
 	ifdef INSTALL_PREFIX
@@ -61,7 +61,7 @@
 
 .PHONY: all
 all: $(BIN)/devilspie2
-	${MAKE} -C po all
+	${MAKE} -C po -j1 all
 
 $(OBJ)/%.o: $(SRC)/%.c
 	$(CC) $(LOCAL_CFLAGS) $(LOCAL_CPPFLAGS) -c $< -o $@

## devilspie2 0.27-src

=== Makefile ===
--- 
+++ 
@@ -4,9 +4,9 @@
 BIN=bin
 
 ifdef DEBUG
-	STD_CFLAGS=-c -Wall -g3 -ggdb -D_DEBUG
+	STD_CFLAGS=-Wall -g3 -ggdb -D_DEBUG
 else
-	STD_CFLAGS=-c -Wall -Wformat -Wno-format-extra-args -Wformat-security -Wformat-nonliteral -Wformat=2
+	STD_CFLAGS=-Wall -Wformat -Wno-format-extra-args -Wformat-security -Wformat-nonliteral -Wformat=2
 endif
 
 DEPEND=Makefile.dep
@@ -37,9 +37,9 @@
 	PKG_WNCK=libwnck-3.0
 endif
 
-LIB_CFLAGS=`pkg-config --cflags $(PKG_GTK) $(PKG_WNCK) lua5.1`
+LIB_CFLAGS=$(shell pkg-config --cflags --silence-errors $(PKG_GTK) $(PKG_WNCK) lua5.1 || pkg-config --cflags $(PKG_GTK) $(PKG_WNCK) lua)
 STD_LDFLAGS=
-LIBS=-lX11 `pkg-config --libs $(PKG_GTK) $(PKG_WNCK) lua5.1`
+LIBS=-lX11 $(shell pkg-config --libs --silence-errors $(PKG_GTK) $(PKG_WNCK) lua5.1 || pkg-config --libs $(PKG_GTK) $(PKG_WNCK) lua)
 
 LOCAL_CFLAGS=$(STD_CFLAGS) $(DEPRECATED) $(CFLAGS) $(LIB_CFLAGS)
 LOCAL_LDFLAGS=$(LDFLAGS) $(STD_LDFLAGS)
@@ -67,7 +67,7 @@
 	$(CC) $(LOCAL_CFLAGS) $(LOCAL_CPPFLAGS) -c $< -o $@
 
 $(BIN)/$(NAME): $(OBJECTS)
-	$(CC) $(LOCAL_LDFLAGS) $(OBJECTS) -o $(PROG) $(LIBS)
+	$(CC) $(LOCAL_CFLAGS) $(LOCAL_LDFLAGS) $(OBJECTS) -o $(PROG) $(LIBS)
 
 .PHONY: clean
 clean:

=== po/Makefile ===
--- 
+++ 
@@ -17,7 +17,7 @@
 DATADIR = ${DESTDIR}${PREFIX}/share
 LOCALEDIR = ${DATADIR}/locale
 
-SOURCES = devilspie2.c script.c script_functions.c xutils.c
+SOURCES = devilspie2.c script.c script_functions.c xutils.c error_strings.c
 
 XG_ARGS = --keyword=_ --keyword=N_ -w 80 --package-name=${NAME} --package-version=${VERSION} --msgid-bugs-address=gusnan@gusnan.se
 LANGUAGES = sv fr pt_BR nl ru

## devilspie2 0.28-src

=== po/Makefile ===
--- 
+++ 
@@ -17,7 +17,7 @@
 DATADIR = ${DESTDIR}${PREFIX}/share
 LOCALEDIR = ${DATADIR}/locale
 
-SOURCES = devilspie2.c script.c script_functions.c xutils.c error_strings.c
+SOURCES = config.c devilspie2.c script.c script_functions.c xutils.c error_strings.c
 
 XG_ARGS = --keyword=_ --keyword=N_ -w 80 --package-name=${NAME} --package-version=${VERSION} --msgid-bugs-address=gusnan@gusnan.se
 LANGUAGES = sv fr pt_BR nl ru

## devilspie2 0.30

=== po/Makefile ===
--- 
+++ 
@@ -20,7 +20,7 @@
 SOURCES = config.c devilspie2.c script.c script_functions.c xutils.c error_strings.c
 
 XG_ARGS = --keyword=_ --keyword=N_ -w 80 --package-name=${NAME} --package-version=${VERSION} --msgid-bugs-address=gusnan@gusnan.se
-LANGUAGES = sv fr pt_BR nl ru
+LANGUAGES = sv fr pt_BR nl ru fi
 
 LANGUAGES_MO = $(foreach currlang,$(LANGUAGES),$(currlang).mo)
 LANGUAGES_PO = $(foreach currlang,$(LANGUAGES),$(currlang).po)

=== debian/changelog ===
devilspie2 (0.30-1) unstable; urgency=low

  * Imported Upstream version 0.30

 -- Andreas Rönnquist <gusnan@gusnan.se>  Sat, 20 Jul 2013 12:08:00 +0200

devilspie2 (0.29-1) unstable; urgency=low

  * Imported Upstream version 0.29

 -- Andreas Rönnquist <gusnan@gusnan.se>  Sat, 18 May 2013 21:24:17 +0200

devilspie2 (0.28-3) unstable; urgency=low

  * Upload to unstable
  * [5e0d0ea] Update to standards Version 3.9.4 (No change required)

 -- Andreas Rönnquist <gusnan@gusnan.se>  Sun, 05 May 2013 13:56:20 +0200

devilspie2 (0.28-2) experimental; urgency=low

  * [79c06d4] Migrate to debhelper

 -- Andreas Rönnquist <gusnan@gusnan.se>  Sun, 17 Mar 2013 22:10:35 +0100

devilspie2 (0.28-1) experimental; urgency=low

  * [9d80eb6] Imported Upstream version 0.28

 -- Andreas Rönnquist <gusnan@gusnan.se>  Tue, 19 Feb 2013 00:04:18 +0100

devilspie2 (0.27-1) experimental; urgency=low

  * [d7717df] Imported Upstream version 0.27

 -- Andreas Rönnquist <gusnan@gusnan.se>  Sun, 16 Dec 2012 21:15:53 +0100

devilspie2 (0.26-1) experimental; urgency=low

  * [1164344] Imported Upstream version 0.26
  * [565c496] Remove patch fix_set_window_position2.patch, applied upstream

 -- Andreas Rönnquist <gusnan@gusnan.se>  Wed, 14 Nov 2012 17:29:19 +0100

devilspie2 (0.25-2) experimental; urgency=low

  * [0594635] Minor update to description
  * [691a113] Add patch fix_set_window_position2.patch

 -- Andreas Rönnquist <gusnan@gusnan.se>  Sun, 04 Nov 2012 18:34:24 +0100

devilspie2 (0.25-1) experimental; urgency=low

  * [c34c2a6] Imported Upstream version 0.25

 -- Andreas Rönnquist <gusnan@gusnan.se>  Sun, 28 Oct 2012 17:39:01 +0100

devilspie2 (0.24-1) experimental; urgency=low

  * [5a4c2fb] Imported Upstream version 0.24

 -- Andreas Rönnquist <gusnan@gusnan.se>  Tue, 16 Oct 2012 14:25:52 +0200

devilspie2 (0.23-1) experimental; urgency=low

  * [ec07697] Imported Upstream version 0.23

 -- Andreas Rönnquist <gusnan@gusnan.se>  Sat, 29 Sep 2012 10:28:21 +0200

devilspie2 (0.22-1) experimental; urgency=low

  * [6db8920] Imported Upstream version 0.22

 -- Andreas Rönnquist <gusnan@gusnan.se>  Sun, 23 Sep 2012 16:54:45 +0200

## devilspie2 0.31

=== Makefile ===
--- 
+++ 
@@ -11,7 +11,7 @@
 
 DEPEND=Makefile.dep
 
-OBJECTS=$(OBJ)/devilspie2.o $(OBJ)/xutils.o $(OBJ)/script.o $(OBJ)/script_functions.o $(OBJ)/error_strings.o
+OBJECTS=$(OBJ)/config.o $(OBJ)/devilspie2.o $(OBJ)/xutils.o $(OBJ)/script.o $(OBJ)/script_functions.o $(OBJ)/error_strings.o
 
 ifndef PREFIX
 	ifdef INSTALL_PREFIX

=== debian/changelog ===
devilspie2 (0.31-1) unstable; urgency=low

  * Imported Upstream version 0.31

 -- Andreas Rönnquist <gusnan@gusnan.se>  Thu, 29 Aug 2013 17:40:30 +0200

=== debian/control ===
Source: devilspie2
Section: gnome
Priority: optional
Maintainer: Andreas Rönnquist <gusnan@gusnan.se>
Build-Depends: debhelper (>= 9.0.0), pkg-config, libwnck-3-dev, libgtk-3-dev, libglib2.0-dev, liblua5.1-0-dev
Standards-Version: 3.9.4
Homepage: http://www.gusnan.se/devilspie2
Vcs-Git: git://anonscm.debian.org/collab-maint/devilspie2.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/devilspie2.git

Package: devilspie2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: LUA-based window matching utility 
 Devilspie2 is a window matching utility, allowing the user to perform
 scripted actions on windows as they are created. For example you can
 script a terminal program to always be positioned at a specific screen
 position, or automatically position a window on a specific workspace.
 .
 It is a continuation of Ross Burtons project Devilspie, with the most
 significant change that the symbolic expressions of that project are
 replaced with a LUA interpreter.

=== debian/watch ===
version=3

http://www.gusnan.se/devilspie2/download/index.php ./devilspie2_(.+)-src\.tar\.gz

## devilspie2 0.32

=== debian/changelog ===
devilspie2 (0.32-1~bpo70+1) wheezy-backports; urgency=low

  * Rebuild for wheezy-backports.
  * Update changelog for wheezy-backports

 -- Andreas Rönnquist <gusnan@gusnan.se>  Wed, 26 Feb 2014 15:28:48 +0100

devilspie2 (0.32-1) unstable; urgency=medium

  * Imported Upstream version 0.32
  * Update to Standards-Version 3.9.5

 -- Andreas Rönnquist <gusnan@gusnan.se>  Thu, 20 Feb 2014 15:43:44 +0100

devilspie2 (0.31-1~bpo70+1) wheezy-backports; urgency=low

  * Rebuild for wheezy-backports.
  * Update changelog for wheezy-backports

 -- Andreas Rönnquist <gusnan@gusnan.se>  Thu, 29 Aug 2013 18:36:41 +0200

devilspie2 (0.30-1~bpo70+1) wheezy-backports; urgency=low

  * Rebuild for wheezy-backports.

 -- Andreas Rönnquist <gusnan@gusnan.se>  Wed, 31 Jul 2013 18:56:38 +0200

## devilspie2 0.33

=== debian/changelog ===
devilspie2 (0.33-1~bpo70+1) wheezy-backports; urgency=low

  * Rebuild for wheezy-backports.
  * Update changelog for wheezy-backports

 -- Andreas Rönnquist <gusnan@gusnan.se>  Thu, 10 Apr 2014 19:08:06 +0200

devilspie2 (0.33-1) unstable; urgency=medium

  * New Upstream Version

 -- Andreas Rönnquist <gusnan@gusnan.se>  Fri, 04 Apr 2014 15:48:31 +0200

## devilspie2 0.36

=== debian/changelog ===
devilspie2 (0.36-1~bpo70+1) wheezy-backports; urgency=low

  * Rebuild for wheezy-backports.
  * Update changelog for wheezy-backports

 -- Andreas Rönnquist <gusnan@gusnan.se>  Tue, 27 May 2014 19:48:26 +0200

devilspie2 (0.36-1) unstable; urgency=medium

  * New Upstream Version

 -- Andreas Rönnquist <gusnan@gusnan.se>  Wed, 21 May 2014 15:03:48 +0200

devilspie2 (0.35-1) unstable; urgency=medium

  * New Upstream Version

 -- Andreas Rönnquist <gusnan@gusnan.se>  Mon, 19 May 2014 03:37:53 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Andreas Rönnquist <gusnan@gusnan.se>
 Build-Depends: debhelper (>= 9.0.0), pkg-config, libwnck-3-dev, libgtk-3-dev, libglib2.0-dev, liblua5.1-0-dev
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://www.gusnan.se/devilspie2
 Vcs-Git: git://anonscm.debian.org/collab-maint/devilspie2.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/devilspie2.git

=== debian/watch ===
version=3
http://www.gusnan.se/devilspie2/download/index.php ./devilspie2_(.+)-src\.tar\.gz

## devilspie2 0.37

=== debian/changelog ===
devilspie2 (0.37-1~bpo70+1) wheezy-backports; urgency=low

  * Rebuild for wheezy-backports.
  * Update changelog for wheezy-backports

 -- Andreas Rönnquist <gusnan@debian.org>  Sat, 06 Sep 2014 14:07:02 +0200

devilspie2 (0.37-1) unstable; urgency=medium

  * Imported Upstream version 0.37
  * Migrate to my @d.o address

 -- Andreas Rönnquist <gusnan@debian.org>  Fri, 22 Aug 2014 13:01:57 +0200

devilspie2 (0.36-2) unstable; urgency=medium

  * Update watchfile to use savannah
  * Add upstream gpg key and make uscan check it

 -- Andreas Rönnquist <gusnan@gusnan.se>  Sat, 28 Jun 2014 13:45:12 +0200

## devilspie2 0.38

=== Makefile ===
--- 
+++ 
@@ -1,3 +1,22 @@
+#
+# This file is part of devilspie2
+# Copyright (C) 2011-2014 Andreas Rönnquist
+#
+# devilspie2 is free software: you can redistribute it and/or
+# modify it under the terms of the GNU General Public License as published
+# by the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+#
+# devilspie2 is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with devilspie2.
+# If not, see <http://www.gnu.org/licenses/>.
+#
+
 CC=gcc
 SRC=src
 OBJ=obj
@@ -26,6 +45,7 @@
 VERSION = $(shell cat ./VERSION)
 DATADIR = ${DESTDIR}${PREFIX}/share
 LOCALEDIR = ${DATADIR}/locale
+MANPAGE = ${NAME}.1
 
 ifdef GTK2
 	PKG_GTK=gtk+-2.0
@@ -77,6 +97,8 @@
 install:
 	install -d $(DESTDIR)$(PREFIX)/bin
 	install -m 755 $(PROG) $(DESTDIR)$(PREFIX)/bin
+	install -d $(DESTDIR)$(PREFIX)/share/man/man1
+	install -m 644 $(MANPAGE) $(DESTDIR)$(PREFIX)/share/man/man1
 	${MAKE} -C po install
 
 .PHONY: uninstall

=== debian/changelog ===
devilspie2 (0.38-1~bpo70+1) wheezy-backports; urgency=low

  * Rebuild for wheezy-backports.
  * Update changelog for wheezy-backports

 -- Andreas Rönnquist <gusnan@debian.org>  Mon, 06 Oct 2014 12:36:14 +0200

devilspie2 (0.38-1) unstable; urgency=medium

  * Update watch file with noredirect URL
  * Imported Upstream version 0.38

 -- Andreas Rönnquist <gusnan@debian.org>  Tue, 30 Sep 2014 20:59:53 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: devilspie2
 Section: gnome
 Priority: optional
-Maintainer: Andreas Rönnquist <gusnan@gusnan.se>
+Maintainer: Andreas Rönnquist <gusnan@debian.org>
 Build-Depends: debhelper (>= 9.0.0), pkg-config, libwnck-3-dev, libgtk-3-dev, libglib2.0-dev, liblua5.1-0-dev
 Standards-Version: 3.9.5
 Homepage: http://www.gusnan.se/devilspie2

## devilspie2 0.39

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #
 # This file is part of devilspie2
-# Copyright (C) 2011-2014 Andreas Rönnquist
+# Copyright (C) 2011-2015 Andreas Rönnquist
 #
 # devilspie2 is free software: you can redistribute it and/or
 # modify it under the terms of the GNU General Public License as published
@@ -17,7 +17,9 @@
 # If not, see <http://www.gnu.org/licenses/>.
 #
 
-CC=gcc
+ifndef CC
+	CC=gcc
+endif
 SRC=src
 OBJ=obj
 BIN=bin
@@ -107,6 +109,6 @@
 	${MAKE} -C po uninstall
 
 $(DEPEND):
-	$(CC) -MM $(SRC)/*.c | sed -e "s/\([A-Za-z0-9+-0._&+-]*:\)/\$(OBJ)\/\1/g" > $(DEPEND)
+	$(CC) -MM $(LOCAL_CFLAGS) $(SRC)/*.c | sed -e "s/\([A-Za-z0-9+-0._&+-]*:\)/\$(OBJ)\/\1/g" > $(DEPEND)
 
 -include $(DEPEND)

=== po/Makefile ===
--- 
+++ 
@@ -20,7 +20,7 @@
 SOURCES = config.c devilspie2.c script.c script_functions.c xutils.c error_strings.c
 
 XG_ARGS = --keyword=_ --keyword=N_ -w 80 --package-name=${NAME} --package-version=${VERSION} --msgid-bugs-address=gusnan@gusnan.se
-LANGUAGES = sv fr pt_BR nl ru fi
+LANGUAGES = sv fr pt_BR nl ru fi ja
 
 LANGUAGES_MO = $(foreach currlang,$(LANGUAGES),$(currlang).mo)
 LANGUAGES_PO = $(foreach currlang,$(LANGUAGES),$(currlang).po)

=== debian/changelog ===
devilspie2 (0.39-4) unstable; urgency=medium

  * Fix installation of translations

 -- Andreas Rönnquist <gusnan@debian.org>  Sat, 26 Dec 2015 19:00:37 +0100

devilspie2 (0.39-3) unstable; urgency=medium

  * Fix usage of PREFIX during build

 -- Andreas Rönnquist <gusnan@debian.org>  Sat, 26 Dec 2015 15:28:09 +0100

devilspie2 (0.39-2) unstable; urgency=medium

  * Migrate to dh

 -- Andreas Rönnquist <gusnan@debian.org>  Sat, 26 Dec 2015 13:37:08 +0100

devilspie2 (0.39-1) unstable; urgency=medium

  * Imported Upstream version 0.39
  * Update copyright, fixing dep5-copyright-license-name-not-unique

 -- Andreas Rönnquist <gusnan@debian.org>  Mon, 11 May 2015 17:06:21 +0200

devilspie2 (0.38-2) unstable; urgency=medium

  * Update Standards-Version to 3.9.6 (No changes required)
  * Fix spelling errors in package description, thanks 
    to Reuben Thomas (Closes: #783248)

 -- Andreas Rönnquist <gusnan@debian.org>  Sun, 26 Apr 2015 19:52:15 +0200

=== debian/control ===
Source: devilspie2
Section: gnome
Priority: optional
Maintainer: Andreas Rönnquist <gusnan@debian.org>
Build-Depends: debhelper (>= 9.0.0), pkg-config, libwnck-3-dev, libgtk-3-dev, libglib2.0-dev, liblua5.1-0-dev
Standards-Version: 3.9.6
Homepage: http://www.gusnan.se/devilspie2
Vcs-Git: git://anonscm.debian.org/collab-maint/devilspie2.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/devilspie2.git

Package: devilspie2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Lua-based window matching utility 
 Devilspie2 is a window matching utility, allowing the user to perform
 scripted actions on windows as they are created. For example, you can
 script a terminal program to always be positioned at a specific screen
 position, or automatically position a window on a specific workspace.
 .
 It is a continuation of Ross Burton's project Devilspie, with the most
 significant change that the symbolic expressions of that project are
 replaced with a Lua interpreter.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_HARDENING=1
export LDFLAGS += -Wl,-z,relro -Wl,--as-needed

%:
	dh $@

override_dh_auto_build:
	$(MAKE) PREFIX=/usr

override_dh_auto_install:
	$(MAKE) DESTDIR=$$(pwd)/debian/devilspie2 PREFIX=/usr install

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/ \
http://download.savannah.gnu.org/releases-noredirect/devilspie2/devilspie2_(.+)-src\.tar\.gz

## devilspie2 0.40-src

=== po/Makefile ===
--- 
+++ 
@@ -20,7 +20,7 @@
 SOURCES = config.c devilspie2.c script.c script_functions.c xutils.c error_strings.c
 
 XG_ARGS = --keyword=_ --keyword=N_ -w 80 --package-name=${NAME} --package-version=${VERSION} --msgid-bugs-address=gusnan@gusnan.se
-LANGUAGES = sv fr pt_BR nl ru fi ja
+LANGUAGES = sv fr pt_BR nl ru fi ja it
 
 LANGUAGES_MO = $(foreach currlang,$(LANGUAGES),$(currlang).mo)
 LANGUAGES_PO = $(foreach currlang,$(LANGUAGES),$(currlang).po)

## devilspie2 0.41

=== debian/changelog ===
devilspie2 (0.41-1) unstable; urgency=medium

  * New Upstream Version

 -- Andreas Rönnquist <gusnan@debian.org>  Thu, 07 Apr 2016 18:01:51 +0200

devilspie2 (0.40-1) unstable; urgency=medium

  * Imported Upstream version 0.40
  * Update copyright years

 -- Andreas Rönnquist <gusnan@debian.org>  Tue, 29 Mar 2016 20:32:56 +0200

devilspie2 (0.39-5) unstable; urgency=medium

  * Add hardening flags
  * Fix lintian warning vcs-field-uses-insecure-uri
  * Update Standards Version, no changes required

 -- Andreas Rönnquist <gusnan@debian.org>  Sun, 06 Mar 2016 10:48:51 +0100

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Section: gnome
 Priority: optional
 Maintainer: Andreas Rönnquist <gusnan@debian.org>
-Build-Depends: debhelper (>= 9.0.0), pkg-config, libwnck-3-dev, libgtk-3-dev, libglib2.0-dev, liblua5.1-0-dev
-Standards-Version: 3.9.6
+Build-Depends: debhelper (>= 9.0.0), dpkg-dev (>= 1.16.1.1), pkg-config, libwnck-3-dev, libgtk-3-dev, libglib2.0-dev, liblua5.1-0-dev
+Standards-Version: 3.9.7
 Homepage: http://www.gusnan.se/devilspie2
-Vcs-Git: git://anonscm.debian.org/collab-maint/devilspie2.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/devilspie2.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/devilspie2.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/devilspie2.git
 
 Package: devilspie2
 Architecture: any

## devilspie2 0.42

=== debian/changelog ===
devilspie2 (0.42-2) unstable; urgency=medium

  * Fix watch file
  * Update Standards Version, no changes required
  * Update to compat level 10

 -- Andreas Rönnquist <gusnan@debian.org>  Mon, 03 Jul 2017 21:33:51 +0200

devilspie2 (0.42-1) unstable; urgency=medium

  * New upstream version 0.42
  * Update Standards-Version to 3.9.8 (No changes required)

 -- Andreas Rönnquist <gusnan@debian.org>  Sat, 14 Jan 2017 13:56:06 +0100

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnome
 Priority: optional
 Maintainer: Andreas Rönnquist <gusnan@debian.org>
-Build-Depends: debhelper (>= 9.0.0), dpkg-dev (>= 1.16.1.1), pkg-config, libwnck-3-dev, libgtk-3-dev, libglib2.0-dev, liblua5.1-0-dev
-Standards-Version: 3.9.7
+Build-Depends: debhelper (>= 10.0.0), dpkg-dev (>= 1.16.1.1), pkg-config, libwnck-3-dev, libgtk-3-dev, libglib2.0-dev, liblua5.1-0-dev
+Standards-Version: 4.0.0
 Homepage: http://www.gusnan.se/devilspie2
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/devilspie2.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/devilspie2.git

## devilspie2 0.43

=== Makefile ===
--- 
+++ 
@@ -64,7 +64,7 @@
 LIBS=-lX11 $(shell pkg-config --libs --silence-errors $(PKG_GTK) $(PKG_WNCK) lua5.1 || pkg-config --libs $(PKG_GTK) $(PKG_WNCK) lua)
 
 LOCAL_CFLAGS=$(STD_CFLAGS) $(DEPRECATED) $(CFLAGS) $(LIB_CFLAGS)
-LOCAL_LDFLAGS=$(LDFLAGS) $(STD_LDFLAGS)
+LOCAL_LDFLAGS=$(STD_CFLAGS) $(LDFLAGS) $(STD_LDFLAGS)
 
 LOCAL_CPPFLAGS=$(CPPFLAGS)

=== po/Makefile ===
--- 
+++ 
@@ -19,7 +19,7 @@
 
 SOURCES = config.c devilspie2.c script.c script_functions.c xutils.c error_strings.c
 
-XG_ARGS = --keyword=_ --keyword=N_ -w 80 --package-name=${NAME} --package-version=${VERSION} --msgid-bugs-address=gusnan@gusnan.se
+XG_ARGS = --keyword=_ --keyword=N_ -w 80 --package-name=${NAME} --package-version=${VERSION} --msgid-bugs-address=gusnan@openmailbox.org
 LANGUAGES = sv fr pt_BR nl ru fi ja it
 
 LANGUAGES_MO = $(foreach currlang,$(LANGUAGES),$(currlang).mo)

=== debian/changelog ===
devilspie2 (0.43-1) unstable; urgency=medium

  * QA upload.
  * New upstream version 0.43
  * Update homepage field
  * Update to Standards Version 4.1.0 (No changes required)
  * Set QA Group as maintainer

 -- Andreas Rönnquist <gusnan@debian.org>  Tue, 26 Sep 2017 16:09:17 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: devilspie2
 Section: gnome
 Priority: optional
-Maintainer: Andreas Rönnquist <gusnan@debian.org>
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends: debhelper (>= 10.0.0), dpkg-dev (>= 1.16.1.1), pkg-config, libwnck-3-dev, libgtk-3-dev, libglib2.0-dev, liblua5.1-0-dev
-Standards-Version: 4.0.0
-Homepage: http://www.gusnan.se/devilspie2
+Standards-Version: 4.1.0
+Homepage: http://www.nongnu.org/devilspie2
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/devilspie2.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/devilspie2.git

=== debian/rules ===
--- 
+++ 
@@ -3,8 +3,9 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-export DEB_BUILD_HARDENING=1
-export LDFLAGS += -Wl,-z,relro -Wl,--as-needed
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+DPKG_EXPORT_BUILDFLAGS = 1
+include /usr/share/dpkg/buildflags.mk
 
 %:
 	dh $@

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/ \
http://download-mirror.savannah.gnu.org/releases/devilspie2/devilspie2_(.+)-src\.tar\.gz
